Name:           childsplay_plugins
Version:        0.84
Release:        1%{?dist}
Summary:        Plugins for childsplay (educational games for young children)
Group:          Amusements/Games
License:        GPL
URL:            http://childsplay.sourceforge.net/
Source:         http://dl.sf.net/sourceforge/childsplay/%{name}-%{version}.tgz
Patch0:         childsplay_plugins-0.80.7-alphabet-sounds.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       childsplay >= 0.84

%description
Plugins (games) for Childsplay a suite of educational games for young
children. The aim is to be educational and at the same time be fun to play.


%prep
%setup -q
# no backups otherwise the backups endup in the rpm.
%patch0 -p1
# the translation is merged into the assetml file, so don't ship it seperatly
rm -r assetml/childsplay/sounds-misc/po


%build
# Only python code, no so nothing to build.


%install
rm -rf $RPM_BUILD_ROOT
# INSTALL.sh is seriously borked, so DIY
mkdir -p $RPM_BUILD_ROOT%{_datadir}/childsplay/plugins
mkdir -p $RPM_BUILD_ROOT%{_datadir}/childsplay/Data/icons
cp -a Data/*.icon.png $RPM_BUILD_ROOT%{_datadir}/childsplay/Data/icons
cp -a lib/* $RPM_BUILD_ROOT%{_datadir}/childsplay/plugins
cp -a assetml/childsplay/* $RPM_BUILD_ROOT%{_datadir}/childsplay


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root, -)
%doc README*
%{_datadir}/childsplay


%changelog
* Tue Oct 31 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.84-1
- New upstream release 0.84
- Install the (still used) assetml files under %%{_datadir}/%%{name} instead
  of under %%{_datadir}/assetml, since we no longer ship libassetml

* Wed Sep  6 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.83-2
- Don't %%ghost the .pyo files (bug 205370)

* Sun Aug 27 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.83-1
- New upstream version 0.83

* Sun May 14 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.80.8-1
- New upstream release 0.80.8
- Fix a SoundMemory crash (Patch1, bz 191643), thanks Chien-Chung Yeh.

* Thu May 11 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.80.7-3
- Own /usr/share/childsplay and subdirs to guarantee correct uninstall
  (bz 190878).
- Fix Source0 to point to the main sourceforge download instead of to the
  mirror selection page.

* Wed May 10 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.80.7-2
- Ghost .pyo files
- Don't create backups for the alphabet patch, the backups end up getting
  installed

* Fri May  5 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.80.7-1
- Initial package
